6.0.0-git
2019-03-19

[#8592] Full HTML/CSS support on message view
Summary Full HTML/CSS support on message view
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester rui.carneiro (at) portugalmail (dot) net
Created 2009-09-22 (3465 days ago)
Due
Updated 2010-01-13 (3352 days ago)
Assigned
Resolved 2009-09-28 (3459 days ago)
Milestone
Patch Yes

History
2009-09-28 09:04:06 rui (dot) carneiro (at) portugalmail (dot) net Comment #13 Reply to this comment
Image block display now works again entirely via javascript, rather than
requiring another server access.
This is great but now that CSS is not removed shouldn't $_img_regex be 
reviewed to remove CSS images too? (e.g. list-style-image, 
background-image)
2009-09-28 05:13:04 Michael Slusarz Comment #12
State ⇒ Resolved
Reply to this comment
IMP now correctly displays the e-mail standards acid test 
(http://www.email-standards.org/acid/).  Resolving ticket.
2009-09-28 04:12:26 Michael Slusarz Comment #10 Reply to this comment
After a quick test I realize that my patch is not working on IE8 (and
probably all previous versions). Probably is some issue with
javascript and iframes. Handling iframes on IE is pretty different
from all other browsers. Maybe I missed something.
IE8 doesn't allow declaring an 'onload' parameter directly in the 
IFRAME HTML code.  This is irrelevant now, as we now use a different 
method to perform onload actions.



Additionally, the Horde HTML driver was stripping style attributes for 
all IE versions.  This has been corrected.
2009-09-28 04:05:00 Michael Slusarz Comment #9 Reply to this comment
Attached is a HTML message where the IFRAME resizing doesn't work at all.
Fixed.
2009-09-28 03:53:38 CVS Commit Comment #7 Reply to this comment
2009-09-24 14:14:18 rui (dot) carneiro (at) portugalmail (dot) net Comment #6 Reply to this comment
After a quick test I realize that my patch is not working on IE8 (and 
probably all previous versions). Probably is some issue with 
javascript and iframes. Handling iframes on IE is pretty different 
from all other browsers. Maybe I missed something.
2009-09-23 08:46:54 rui (dot) carneiro (at) portugalmail (dot) net Comment #5 Reply to this comment
Initial implementation.  All the code dealing with
renderNoImages()/IMP_Contents::/view.php is entirely unnecessary.
There is already the appropriate code in view.php to allow us to
determine what view we want (the 'mode' parameter), and we pass what
state we need via URL parameters (e.g. 'html_iframe_data').
Sorry about that. I am still new on Horde Framework
Still need to work out some details - namely, it would be nice to not
require a separate request to load the HTML data (and to display
images).
That was my first approach but it was unsuccessful.
My inclination is simply to prohibit  viewing HTML inline on
non-javascript enabled browsers because trying
to maintain a separate filtering regime vs. IFRAME content probably
isn't worth it for the minimal browsers lacking javascript support.
I agree too.
2009-09-23 07:47:19 Jan Schneider Comment #4
New Attachment: Hei├če News_ Grillen auf dem iPhone.eml
Reply to this comment
My inclination is simply to prohibit
viewing HTML inline on non-javascript enabled browsers because trying
to maintain a separate filtering regime vs. IFRAME content probably
isn't worth it for the minimal browsers lacking javascript support.
I agree.



Attached is a HTML message where the IFRAME resizing doesn't work at all.
2009-09-23 05:07:11 Michael Slusarz Comment #3
Assigned to Michael Slusarz
State ⇒ Accepted
Reply to this comment
Initial implementation.  All the code dealing with 
renderNoImages()/IMP_Contents::/view.php is entirely unnecessary.   
There is already the appropriate code in view.php to allow us to 
determine what view we want (the 'mode' parameter), and we pass what 
state we need via URL parameters (e.g. 'html_iframe_data').



I haven't implemented any of the fancier 'loading' graphics yet.   
Still need to work out some details - namely, it would be nice to not 
require a separate request to load the HTML data (and to display 
images).  There are issues with IFRAME/same source restrictions that 
can be worked around with javascript, but it remains to be seen if it 
is viable in the IMP framework.  Additionally, IFRAMEs simply will not 
work without javascript (there is no way to correctly size an IFRAME 
without javascript).  My inclination is simply to prohibit viewing 
HTML inline on non-javascript enabled browsers because trying to 
maintain a separate filtering regime vs. IFRAME content probably isn't 
worth it for the minimal browsers lacking javascript support.
2009-09-22 09:02:28 rui (dot) carneiro (at) portugalmail (dot) net Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Full HTML/CSS support on message view
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ Yes
New Attachment: html_support.zip Download
Reply to this comment
The latest version of IMP is not rendering complete HTML/CSS. Some 
HTML/CSS is striped to ensure that webmail's design is not affected by 
any code inside a message.



Because that some messages do not respect HTML/CSS standards. The 
objective of this enhancement is to develop full support for HTML/CSS 
on IMP. The final goal is to pass on Email Standards: 
http://www.email-standards.org/



Note: the diff on Xss.php is just to avoid this unclosed bug: 
http://bugs.horde.org/ticket/8581

Saved Queries